Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 477)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 478)
@@ -22,5 +22,6 @@
   </property>
   <property name="hidden_layout_modes">
-   <element value="create"/>
+    <element value="create"/>
+    <element value="edit"/>
   </property>
   <property name="size_max">12</property>
@@ -35,5 +36,7 @@
   <property name="label">JAMB Registration Number</property>
   <property name="label_edit">JAMB Registration Number</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -50,6 +53,7 @@
   <property name="label">JAMB First Name</property>
   <property name="label_edit">JAMB First Name</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -74,5 +78,7 @@
   <property name="label">JAMB Middl Name</property>
   <property name="label_edit">JAMB Middle Name</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -86,6 +92,11 @@
   <property name="label">Mode of Entry</property>
   <property name="label_edit">Mode of Entry</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+    <element value="create"/>
+    <element value="edit"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -98,5 +109,7 @@
   <property name="label">JAMB Sex</property>
   <property name="label_edit">JAMB Sex</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -110,5 +123,7 @@
   <property name="label">JAMB Age</property>
   <property name="label_edit">JAMB Age</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -122,5 +137,7 @@
   <property name="label">JAMB State</property>
   <property name="label_edit">JAMB State</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -134,5 +151,7 @@
   <property name="label">JAMB Local Government Area</property>
   <property name="label_edit">JAMB Local Government Area</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -146,5 +165,7 @@
   <property name="label">JAMB Score</property>
   <property name="label_edit">JAMB Score</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -158,5 +179,7 @@
   <property name="label">JAMB First Choice Course of Study</property>
   <property name="label_edit">JAMB First Choice Course of Study</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -170,5 +193,7 @@
   <property name="label">JAMB Second Choice Course of Study</property>
   <property name="label_edit">JAMB Second Choice Course of Study</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -182,5 +207,7 @@
   <property name="label">JAMB First Choice University</property>
   <property name="label_edit">JAMB First Choice University</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -194,5 +221,7 @@
   <property name="label">JAMB Second Choice University</property>
   <property name="label_edit">JAMB Second Choice University</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -206,5 +235,7 @@
   <property name="label">PUME General Paper</property>
   <property name="label_edit">PUME General Paper</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -218,5 +249,7 @@
   <property name="label">PUME English Score</property>
   <property name="label_edit">PUME English Score</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -230,5 +263,7 @@
   <property name="label">PUME Mathematics Score</property>
   <property name="label_edit">PUME Mathematics Score</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -242,5 +277,7 @@
   <property name="label">PUME Total Score</property>
   <property name="label_edit">PUME Total Score</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -254,5 +291,7 @@
   <property name="label">Passport Picture</property>
   <property name="label_edit">Passport Picture</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 477)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 478)
@@ -4,5 +4,5 @@
  <property name="layout_edit_method"></property>
  <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
+ <property name="style_prefix">layout_student_</property>
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_check_pin.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_check_pin.xml	(revision 477)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_check_pin.xml	(revision 478)
@@ -1,14 +1,27 @@
 <?xml version="1.0"?>
 <object name="student_check_pin" meta_type="CPS Layout">
- <property name="layout_create_method">layout_check_pin_create</property>
+ <property name="layout_create_method"></property>
  <property name="layout_edit_method"></property>
  <property name="layout_view_method"></property>
- <property name="style_prefix">layout_default_</property>
+ <property name="style_prefix">layout_waeup_</property>
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
- <widget name="jamb_id" meta_type="JambRegNo Widget">
-  <property name="title">Jamb Registration No</property>
+ <widget name="batch_no" meta_type="String Widget">
+  <property name="title">Batch Nr</property>
   <property name="fields">
-   <element value="jamb_reg_no"/>
+   <element value="batch_no"/>
+  </property>
+  <property name="readonly_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">2</property>
+  <property name="size_max">2</property>
+ </widget>
+ <widget name="jamb_reg_no" meta_type="JambRegNo Widget">
+  <property name="title">Student Jamb RegNo</property>
+  <property name="fields">
+   <element value="reg_no"/>
   </property>
   <property name="is_required">True</property>
@@ -21,6 +34,7 @@
   <property name="title">Scratchcard Pin</property>
   <property name="fields">
-   <element value="app_ac_pin"/>
+   <element value="pin"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label_edit">Enter Scratch Card Pin</property>
   <property name="readonly_layout_modes"/>
@@ -28,9 +42,25 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
+ <widget name="prefix" meta_type="String Widget">
+  <property name="title">Prefix</property>
+  <property name="fields">
+   <element value="prefix"/>
+  </property>
+  <property name="label">Prefix</property>
+  <property name="readonly_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">3</property>
+  <property name="size_max">3</property>
+ </widget>
  <table>
   <row>
-   <cell name="jamb_id"/>
+   <cell name="jamb_reg_no" ncols="3"/>
   </row>
   <row>
+   <cell name="prefix"/>
+   <cell name="batch_no"/>
    <cell name="pin"/>
   </row>
Index: WAeUP_SRP/trunk/profiles/default/schemas.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas.xml	(revision 477)
+++ WAeUP_SRP/trunk/profiles/default/schemas.xml	(revision 478)
@@ -14,7 +14,8 @@
  <object name="student" meta_type="CPS Schema"/>
  <object name="student_study_course" meta_type="CPS Schema"/>
- <object name="scratch_card_batch.xml" meta_type="CPS Schema"/>
+ <object name="scratch_card_batch" meta_type="CPS Schema"/>
  <object name="student_accommodation" meta_type="CPS Schema"/>
  <object name="student_application" meta_type="CPS Schema"/>
+ <object name="student_check_pin" meta_type="CPS Schema"/>
  <object name="student_clearance" meta_type="CPS Schema"/>
  <object name="student_personal" meta_type="CPS Schema"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_check_pin.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_check_pin.xml	(revision 478)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_check_pin.xml	(revision 478)
@@ -0,0 +1,7 @@
+<?xml version="1.0"?>
+<object name="student_check_pin" meta_type="CPS Schema">
+ <field name="batch_no" meta_type="CPS String Field"/>
+ <field name="pin" meta_type="CPS String Field"/>
+ <field name="prefix" meta_type="CPS String Field"/>
+ <field name="reg_no" meta_type="CPS String Field"/>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 477)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 478)
@@ -36,10 +36,12 @@
   <permission value="View"/>
  </action>
- <action title="Add JAMB Data" action_id="add_jamb" category="object"
-    condition_expr="" url_expr="string:${object/absolute_url}/create_jamb"
-    visible="False"/>
+ <action title="Apply for PUME " action_id="apply_admission" category="object"
+    condition_expr="" url_expr="string:${object/absolute_url}/apply_admission"
+    visible="True">
+  <permission value="View"/>
+ </action>
  <action title="Check Application Status" action_id="check_application"
     category="object"
-    condition_expr="object/portal_membership/isAnonymousUser"
+    condition_expr=""
     url_expr="string:${object/absolute_url}/check_application" visible="False">
   <permission value="View"/>
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 477)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 478)
@@ -63,5 +63,5 @@
  <transition transition_id="admit" title=""
              new_state="admitted" trigger="USER"
-             before_script="" after_script="open_clearance">
+             before_script="" after_script="">
 
   <guard>
@@ -74,5 +74,5 @@
              new_state="admission_applied" trigger="USER"
              before_script=""
-             after_script="close_application">
+             after_script="">
 
   <guard>
@@ -85,5 +85,5 @@
              new_state="cleared_and_validated"
              trigger="USER" before_script=""
-             after_script="open_personal">
+             after_script="">
 
   <guard>
@@ -123,6 +123,6 @@
              new_state="application_pin_entered"
              trigger="USER"
-             before_script="validate_application_pin"
-             after_script="open_application">
+             before_script=""
+             after_script="">
 
   <guard>
@@ -135,6 +135,6 @@
              new_state="clearance_pin_entered"
              trigger="USER"
-             before_script="validate_clearance_pin"
-             after_script="open_clearance">
+             before_script=""
+             after_script="">
 
   <guard>
@@ -195,5 +195,5 @@
  <transition transition_id="reject_clearance" title=""
              new_state="clearance_pin_entered"
-             trigger="USER" before_script="open_clearance"
+             trigger="USER" before_script=""
              after_script="">
 
@@ -206,30 +206,11 @@
  <transition transition_id="request_clearence" title=""
              new_state="clearence_requested" trigger="USER"
-             before_script="" after_script="close_clearance">
-
-  <guard>
-   <guard-role>Manager</guard-role>
-   <guard-role>SectionManager</guard-role>
-   <guard-role>Owner</guard-role>
-  </guard>
- </transition>
- <script script_id="close_application"
-         type="Script (Python)"
-         filename="workflows/waeup_student_wf/scripts/close_application.py"/>
- <script script_id="close_clearance" type="Script (Python)"
-         filename="workflows/waeup_student_wf/scripts/close_clearance.py"/>
- <script script_id="close_personal" type="Script (Python)"
-         filename="workflows/waeup_student_wf/scripts/close_personal.py"/>
- <script script_id="open_application" type="Script (Python)"
-         filename="workflows/waeup_student_wf/scripts/open_application.py"/>
- <script script_id="open_clearance" type="Script (Python)"
-         filename="workflows/waeup_student_wf/scripts/open_clearance.py"/>
- <script script_id="open_personal" type="Script (Python)"
-         filename="workflows/waeup_student_wf/scripts/open_personal.py"/>
- <script script_id="validate_application_pin"
-         type="Script (Python)"
-         filename="workflows/waeup_student_wf/scripts/validate_application_pin.py"/>
- <script script_id="validate_clearance_pin"
-         type="Script (Python)"
-         filename="workflows/waeup_student_wf/scripts/validate_clearance_pin.py"/>
+             before_script="" after_script="">
+
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+   <guard-role>Owner</guard-role>
+  </guard>
+ </transition>
 </cps-workflow>