Index: /WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml	(revision 480)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml	(revision 481)
@@ -1,34 +1,32 @@
 <?xml version="1.0"?>
 <object name="student_application" meta_type="CPS Schema">
-
+ <field name="app_ac_batch_no" meta_type="CPS String Field"/>
+ <field name="app_ac_date" meta_type="CPS DateTime Field"/>
  <field name="app_ac_pin" meta_type="CPS String Field">
   <property name="is_searchabletext">True</property>
  </field>
-
+ <field name="app_ac_prefix" meta_type="CPS String Field"/>
+ <field name="entry_mode" meta_type="CPS String Field"/>
+ <field name="jamb_age" meta_type="CPS Int Field"/>
+ <field name="jamb_first_cos" meta_type="CPS String Field"/>
+ <field name="jamb_first_uni" meta_type="CPS String Field"/>
+ <field name="jamb_firstname" meta_type="CPS String Field"/>
+ <field name="jamb_lastname" meta_type="CPS String Field">
+  <property name="is_searchabletext">True</property>
+ </field>
+ <field name="jamb_lga" meta_type="CPS String Field"/>
+ <field name="jamb_middlename" meta_type="CPS String Field"/>
  <field name="jamb_reg_no" meta_type="CPS String Field">
   <property name="is_searchabletext">True</property>
  </field>
- <field name="jamb_firstname" meta_type="CPS String Field" />
- <field name="jamb_lastname" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
- </field>
- <field name="jamb_middlename" meta_type="CPS String Field" />
- <field name="jamb_sex" meta_type="CPS String Field" />
- <field name="jamb_age" meta_type="CPS Int Field"/>
+ <field name="jamb_score" meta_type="CPS String Field"/>
+ <field name="jamb_second_cos" meta_type="CPS String Field"/>
+ <field name="jamb_second_uni" meta_type="CPS String Field"/>
+ <field name="jamb_sex" meta_type="CPS String Field"/>
  <field name="jamb_state" meta_type="CPS String Field"/>
- <field name="jamb_lga" meta_type="CPS String Field"/>
- <field name="jamb_score" meta_type="CPS String Field"/>
- <field name="jamb_first_cos" meta_type="CPS String Field"/>
- <field name="jamb_second_cos" meta_type="CPS String Field"/>
- <field name="jamb_first_uni" meta_type="CPS String Field"/>
- <field name="jamb_second_uni" meta_type="CPS String Field"/>
-
- <field name="entry_mode" meta_type="CPS String Field"/>
-
+ <field name="passport" meta_type="CPS Image Field"/>
+ <field name="pume_eng_score" meta_type="CPS String Field"/>
  <field name="pume_gen_paper" meta_type="CPS String Field"/>
- <field name="pume_eng_score" meta_type="CPS String Field"/>
  <field name="pume_math_score" meta_type="CPS String Field"/>
  <field name="pume_tot_score" meta_type="CPS String Field"/>
-
- <field name="passport" meta_type="CPS Image Field"/>
 </object>
Index: /WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py	(revision 480)
+++ /WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py	(revision 481)
@@ -26,6 +26,6 @@
 if psm == 'invalid':
     return context.application_pin_form(rendered = res,
-                                 #psm = "Please correct your input",
-                                 psm = "psm : #%s#" % (psm,),
+                                 psm = "Please correct your input",
+                                 #psm = "psm : #%s#" % (psm,),
                                  firstlayout = True,
                                  lastlayout = True,
Index: /WAeUP_SRP/trunk/skins/waeup_student/layout_student_create.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/layout_student_create.pt	(revision 480)
+++ /WAeUP_SRP/trunk/skins/waeup_student/layout_student_create.pt	(revision 481)
@@ -1,3 +1,3 @@
 <tal:block define="global creation python:1;
                    global formaction string:apply_admission" />
-<metal:block use-macro="here/layout_waeup_edit/macros/default_edit" />
+<metal:block use-macro="here/layout_student_edit/macros/default_edit" />
Index: /WAeUP_SRP/trunk/skins/waeup_student/layout_student_edit.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/layout_student_edit.pt	(revision 480)
+++ /WAeUP_SRP/trunk/skins/waeup_student/layout_student_edit.pt	(revision 481)
@@ -174,6 +174,9 @@
     id="cpsdocument_edit_and_view_button"
     tal:condition="not:creation" />
-  <input type="submit" class="standalone" name="cpsdocument_create_button"
-    value="button_create" i18n:attributes="value" tal:condition="creation" />
+  <input type="submit" 
+         class="standalone" 
+         name="cpsdocument_create_button"
+         value="apply" 
+         i18n:attributes="value" tal:condition="creation" />
   <tal:block content="structure string:</div></form>" />
 </tal:block>