Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 481)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 482)
@@ -7,5 +7,17 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
-
+ <widget name="app_ac_batch_no" meta_type="String Widget">
+  <property name="title">Batch No</property>
+  <property name="fields">
+   <element value="app_ac_batch_no"/>
+  </property>
+  <property name="label">Batch</property>
+  <property name="label_edit">Batch</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">2</property>
+  <property name="size_max">2</property>
+ </widget>
  <widget name="app_ac_pin" meta_type="Scratchcard Pin Widget">
   <property name="title">Application PIN</property>
@@ -13,36 +25,96 @@
    <element value="app_ac_pin"/>
   </property>
-  <property name="is_required"></property>
-  <property name="label">Application PIN</property>
-  <property name="label_edit">Application PIN</property>
-  <property
-     name="help"></property>
+  <property name="is_required">True</property>
+  <property name="label">Pin</property>
+  <property name="label_edit">Pin</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">10</property>
+  <property name="size_max">12</property>
+ </widget>
+ <widget name="app_ac_prefix" meta_type="String Widget">
+  <property name="title">Pin Prefix</property>
+  <property name="fields">
+   <element value="app_ac_prefix"/>
+  </property>
+  <property name="label">Prefix</property>
+  <property name="label_edit">Prefix</property>
+  <property name="readonly_layout_modes">
+   <element value="create"/>
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">3</property>
+ </widget>
+ <widget name="app_ac_date" meta_type="DateTime Widget">
+  <property name="title">Application Date</property>
+  <property name="fields">
+   <element value="app_ac_date"/>
+  </property>
+  <property name="label">Application Date</property>
+  <property name="label_edit">Application Date</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="entry_mode" meta_type="String Widget">
+  <property name="title">Mode of Entry</property>
+  <property name="fields">
+   <element value="entry_mode"/>
+  </property>
+  <property name="label">Mode of Entry</property>
+  <property name="label_edit">Mode of Entry</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
   </property>
   <property name="hidden_layout_modes">
-    <element value="create"/>
-    <element value="edit"/>
-  </property>
-  <property name="size_max">12</property>
- </widget>
-
- <widget name="jamb_reg_no" meta_type="StudentId Widget">
-  <property name="title">JAMB Registration Number</property>
-  <property name="fields">
-   <element value="jamb_reg_no"/>
-  </property>
-  <property name="is_required">False</property>
-  <property name="label">JAMB Registration Number</property>
-  <property name="label_edit">JAMB Registration Number</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
-  <property name="size_max">10</property>
- </widget>
-
+   <element value="create"/>
+   <element value="edit"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_age" meta_type="Int Widget">
+  <property name="title">JAMB Age</property>
+  <property name="fields">
+   <element value="jamb_age"/>
+  </property>
+  <property name="label">JAMB Age</property>
+  <property name="label_edit">JAMB Age</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_first_cos" meta_type="String Widget">
+  <property name="title">JAMB First Choice Course of Study</property>
+  <property name="fields">
+   <element value="jamb_first_cos"/>
+  </property>
+  <property name="label">JAMB First Choice Course of Study</property>
+  <property name="label_edit">JAMB First Choice Course of Study</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_first_uni" meta_type="String Widget">
+  <property name="title">JAMB First Choice University</property>
+  <property name="fields">
+   <element value="jamb_first_uni"/>
+  </property>
+  <property name="label">JAMB First Choice University</property>
+  <property name="label_edit">JAMB First Choice University</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <widget name="jamb_firstname" meta_type="String Widget">
   <property name="title">JAMB First Name</property>
@@ -50,5 +122,4 @@
    <element value="jamb_firstname"/>
   </property>
-  <property name="is_required">False</property>
   <property name="label">JAMB First Name</property>
   <property name="label_edit">JAMB First Name</property>
@@ -56,7 +127,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <widget name="jamb_lastname" meta_type="String Widget">
   <property name="title">JAMB Lastname</property>
@@ -70,5 +141,17 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
-
+ <widget name="jamb_lga" meta_type="String Widget">
+  <property name="title">JAMB Local Government Area</property>
+  <property name="fields">
+   <element value="jamb_lga"/>
+  </property>
+  <property name="label">JAMB Local Government Area</property>
+  <property name="label_edit">JAMB Local Government Area</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <widget name="jamb_middlename" meta_type="String Widget">
   <property name="title">JAMB Middle Name</property>
@@ -84,22 +167,58 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
-
- <widget name="entry_mode" meta_type="String Widget">
-  <property name="title">Mode of Entry</property>
-  <property name="fields">
-   <element value="entry_mode"/>
-  </property>
-  <property name="label">Mode of Entry</property>
-  <property name="label_edit">Mode of Entry</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
-    <element value="edit"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
+ <widget name="jamb_reg_no" meta_type="StudentId Widget">
+  <property name="title">JAMB Registration Number</property>
+  <property name="fields">
+   <element value="jamb_reg_no"/>
+  </property>
+  <property name="label">JAMB Registration Number</property>
+  <property name="label_edit">JAMB Registration Number</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">10</property>
+  <property name="size_max">10</property>
+ </widget>
+ <widget name="jamb_score" meta_type="String Widget">
+  <property name="title">JAMB Score</property>
+  <property name="fields">
+   <element value="jamb_score"/>
+  </property>
+  <property name="label">JAMB Score</property>
+  <property name="label_edit">JAMB Score</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_second_cos" meta_type="String Widget">
+  <property name="title">JAMB Second Choice Course of Study</property>
+  <property name="fields">
+   <element value="jamb_second_cos"/>
+  </property>
+  <property name="label">JAMB Second Choice Course of Study</property>
+  <property name="label_edit">JAMB Second Choice Course of Study</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_second_uni" meta_type="String Widget">
+  <property name="title">JAMB Second Choice University</property>
+  <property name="fields">
+   <element value="jamb_second_uni"/>
+  </property>
+  <property name="label">JAMB Second Choice University</property>
+  <property name="label_edit">JAMB Second Choice University</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <widget name="jamb_sex" meta_type="String Widget">
   <property name="title">JAMB Sex</property>
@@ -115,19 +234,4 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
-
- <widget name="jamb_age" meta_type="Int Widget">
-  <property name="title">JAMB Age</property>
-  <property name="fields">
-   <element value="jamb_age"/>
-  </property>
-  <property name="label">JAMB Age</property>
-  <property name="label_edit">JAMB Age</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
  <widget name="jamb_state" meta_type="String Widget">
   <property name="title">JAMB State</property>
@@ -143,145 +247,4 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
-
- <widget name="jamb_lga" meta_type="String Widget">
-  <property name="title">JAMB Local Government Area</property>
-  <property name="fields">
-   <element value="jamb_lga"/>
-  </property>
-  <property name="label">JAMB Local Government Area</property>
-  <property name="label_edit">JAMB Local Government Area</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="jamb_score" meta_type="String Widget">
-  <property name="title">JAMB Score</property>
-  <property name="fields">
-   <element value="jamb_score"/>
-  </property>
-  <property name="label">JAMB Score</property>
-  <property name="label_edit">JAMB Score</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="jamb_first_cos" meta_type="String Widget">
-  <property name="title">JAMB First Choice Course of Study</property>
-  <property name="fields">
-   <element value="jamb_first_cos"/>
-  </property>
-  <property name="label">JAMB First Choice Course of Study</property>
-  <property name="label_edit">JAMB First Choice Course of Study</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="jamb_second_cos" meta_type="String Widget">
-  <property name="title">JAMB Second Choice Course of Study</property>
-  <property name="fields">
-   <element value="jamb_second_cos"/>
-  </property>
-  <property name="label">JAMB Second Choice Course of Study</property>
-  <property name="label_edit">JAMB Second Choice Course of Study</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="jamb_first_uni" meta_type="String Widget">
-  <property name="title">JAMB First Choice University</property>
-  <property name="fields">
-   <element value="jamb_first_uni"/>
-  </property>
-  <property name="label">JAMB First Choice University</property>
-  <property name="label_edit">JAMB First Choice University</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="jamb_second_uni" meta_type="String Widget">
-  <property name="title">JAMB Second Choice University</property>
-  <property name="fields">
-   <element value="jamb_second_uni"/>
-  </property>
-  <property name="label">JAMB Second Choice University</property>
-  <property name="label_edit">JAMB Second Choice University</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="pume_gen_paper" meta_type="String Widget">
-  <property name="title">PUME General Paper</property>
-  <property name="fields">
-   <element value="pume_gen_paper"/>
-  </property>
-  <property name="label">PUME General Paper</property>
-  <property name="label_edit">PUME General Paper</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="pume_eng_score" meta_type="String Widget">
-  <property name="title">PUME English Score</property>
-  <property name="fields">
-   <element value="pume_eng_score"/>
-  </property>
-  <property name="label">PUME English Score</property>
-  <property name="label_edit">PUME English Score</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="pume_math_score" meta_type="String Widget">
-  <property name="title">PUME Mathematics Score</property>
-  <property name="fields">
-   <element value="pume_math_score"/>
-  </property>
-  <property name="label">PUME Mathematics Score</property>
-  <property name="label_edit">PUME Mathematics Score</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="pume_tot_score" meta_type="String Widget">
-  <property name="title">PUME Total Score</property>
-  <property name="fields">
-   <element value="pume_tot_score"/>
-  </property>
-  <property name="label">PUME Total Score</property>
-  <property name="label_edit">PUME Total Score</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
  <widget name="passport" meta_type="Image Widget">
   <property name="title">Passport Picture</property>
@@ -291,10 +254,11 @@
   <property name="label">Passport Picture</property>
   <property name="label_edit">Passport Picture</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="help">Upload passport photograph with red background</property>
+  <property
+     name="help">Upload passport photograph with red background</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">204800</property>
   <property name="display_width">300</property>
@@ -302,65 +266,119 @@
   <property name="allow_resize">True</property>
  </widget>
-
+ <widget name="pume_eng_score" meta_type="String Widget">
+  <property name="title">PUME English Score</property>
+  <property name="fields">
+   <element value="pume_eng_score"/>
+  </property>
+  <property name="label">PUME English Score</property>
+  <property name="label_edit">PUME English Score</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="pume_gen_paper" meta_type="String Widget">
+  <property name="title">PUME General Paper</property>
+  <property name="fields">
+   <element value="pume_gen_paper"/>
+  </property>
+  <property name="label">PUME General Paper</property>
+  <property name="label_edit">PUME General Paper</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="pume_math_score" meta_type="String Widget">
+  <property name="title">PUME Mathematics Score</property>
+  <property name="fields">
+   <element value="pume_math_score"/>
+  </property>
+  <property name="label">PUME Mathematics Score</property>
+  <property name="label_edit">PUME Mathematics Score</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="pume_tot_score" meta_type="String Widget">
+  <property name="title">PUME Total Score</property>
+  <property name="fields">
+   <element value="pume_tot_score"/>
+  </property>
+  <property name="label">PUME Total Score</property>
+  <property name="label_edit">PUME Total Score</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <table>
   <row>
+   <cell name="app_ac_prefix"/>
+   <cell name="app_ac_batch_no"/>
    <cell name="app_ac_pin"/>
   </row>
   <row>
-   <cell name="jamb_reg_no"/>
-  </row>
-  <row>
-   <cell name="jamb_firstname"/>
-  </row>
-  <row>
-   <cell name="jamb_middlename"/>
-  </row>
-  <row>
-   <cell name="jamb_lastname"/>
-  </row>
-  <row>
-   <cell name="jamb_sex"/>
-  </row>
-  <row>
-   <cell name="jamb_age"/>
-  </row>
-  <row>
-   <cell name="jamb_state"/>
-  </row>
-  <row>
-   <cell name="jamb_lga"/>
-  </row>
-  <row>
-   <cell name="jamb_score"/>
-  </row>
-  <row>
-   <cell name="jamb_first_cos"/>
-  </row>
-  <row>
-   <cell name="jamb_second_cos"/>
-  </row>
-  <row>
-   <cell name="jamb_first_uni"/>
-  </row>
-  <row>
-   <cell name="jamb_second_uni"/>
-  </row>
-  <row>
-   <cell name="pume_gen_paper"/>
-  </row>
-  <row>
-   <cell name="pume_eng_score"/>
-  </row>
-  <row>
-   <cell name="pume_math_score"/>
-  </row>
-  <row>
-   <cell name="pume_tot_score"/>
-  </row>
-  <row>
-   <cell name="passport"/>
+   <cell name="app_ac_date" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_reg_no" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_firstname" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_middlename" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_lastname" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_sex" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_age" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_state" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_lga" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_score" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_first_cos" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_second_cos" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_first_uni" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_second_uni" ncols="3"/>
+  </row>
+  <row>
+   <cell name="pume_gen_paper" ncols="3"/>
+  </row>
+  <row>
+   <cell name="pume_eng_score" ncols="3"/>
+  </row>
+  <row>
+   <cell name="pume_math_score" ncols="3"/>
+  </row>
+  <row>
+   <cell name="pume_tot_score" ncols="3"/>
+  </row>
+  <row>
+   <cell name="passport" ncols="3"/>
   </row>
  </table>
-
 </object>
-
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 481)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 482)
@@ -20,17 +20,18 @@
   <property name="size_max">2</property>
  </widget>
- <widget name="app_ac_batch_no_old" meta_type="Int Widget">
-  <property name="title">Batch No</property>
-  <property name="fields">
-   <element value="app_ac_batch_no"/>
-  </property>
-  <property name="label">Batch</property>
-  <property name="label_edit">Batch</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="is_limited">True</property>
-  <property name="min_value">1</property>
-  <property name="max_value">99</property>
+ <widget name="app_ac_date" meta_type="DateTime Widget">
+  <property name="title">Application Date</property>
+  <property name="fields">
+   <element value="app_ac_date"/>
+  </property>
+  <property name="label">Application Date</property>
+  <property name="label_edit">Application Date</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
  </widget>
  <widget name="app_ac_pin" meta_type="Scratchcard Pin Widget">
@@ -59,4 +60,5 @@
   <property name="readonly_layout_modes">
    <element value="create"/>
+   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -205,7 +207,10 @@
   </row>
   <row>
-   <cell name="app_ac_prefix" ncols="1"/>
-   <cell name="app_ac_batch_no" ncols="1"/>
-   <cell name="app_ac_pin" ncols="1"/>
+   <cell name="app_ac_prefix"/>
+   <cell name="app_ac_batch_no"/>
+   <cell name="app_ac_pin"/>
+  </row>
+  <row>
+   <cell name="app_ac_date" ncols="3"/>
   </row>
   <row>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml	(revision 481)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml	(revision 482)
@@ -14,5 +14,5 @@
  <property name="allow_discussion">False</property>
  <property name="cps_is_searchable">False</property>
- <property name="cps_proxy_type">document</property>
+ <property name="cps_proxy_type">folderishdocument</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">