Index: WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 482)
+++ WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 483)
@@ -47,4 +47,7 @@
               title="Edit online" priority="100"
               icon_expr="actionicon_edit_online.png"/>
+ <action-icon category="object" action_id="apply_admission"
+              title="Apply for PUME" priority="100"
+              icon_expr="bell.png"/>              
  <action-icon category="folder" action_id="portlets"
               title="Manage portlets" priority="270"
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 482)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 483)
@@ -14,5 +14,7 @@
   <property name="label">Batch</property>
   <property name="label_edit">Batch</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -256,7 +258,5 @@
   <property
      name="help">Upload passport photograph with red background</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
+  <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -321,5 +321,9 @@
   <row>
    <cell name="app_ac_prefix"/>
+  </row>
+  <row>
    <cell name="app_ac_batch_no"/>
+  </row>
+  <row>
    <cell name="app_ac_pin"/>
   </row>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 482)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 483)
@@ -14,5 +14,7 @@
   <property name="label">Batch</property>
   <property name="label_edit">Batch</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -192,7 +194,5 @@
      name="help">Upload passport photograph with red background</property>
   <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
+  <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">204800</property>
@@ -208,5 +208,9 @@
   <row>
    <cell name="app_ac_prefix"/>
+  </row>
+  <row>
    <cell name="app_ac_batch_no"/>
+  </row>
+  <row>
    <cell name="app_ac_pin"/>
   </row>
Index: WAeUP_SRP/trunk/profiles/default/types/Student.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Student.xml	(revision 482)
+++ WAeUP_SRP/trunk/profiles/default/types/Student.xml	(revision 483)
@@ -34,5 +34,5 @@
  <alias from="(Default)" to="academics_contents"/>
  <alias from="view" to="academics_contents"/>
- <action title="View" action_id="view" category="object"
+ <action title="Standard View" action_id="view" category="object"
     condition_expr=""
     url_expr="string:${object_url}/academics_contents" visible="True">
Index: WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 482)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 483)
@@ -36,5 +36,5 @@
   <permission value="View"/>
  </action>
- <action title="Apply for PUME " action_id="apply_admission" category="object"
+ <action title="Apply for PUME" action_id="apply_admission" category="object"
     condition_expr="" url_expr="string:${object/absolute_url}/apply_admission"
     visible="True">