Index: WAeUP_SRP/trunk/skins/waeup_academics/academicsDisplayParams.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academicsDisplayParams.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academicsDisplayParams.py	(revision 486)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: getDisplayParams.py 32288 2006-01-26 17:36:06Z tziade $
+# $Id$
 """Return params for display_content macro
 """
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_display_contents.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_display_contents.pt	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_display_contents.pt	(revision 486)
@@ -1,4 +1,4 @@
 <!-- a content_lib macro -->
-<!-- $Id: content_lib_display_contents.pt 32722 2006-02-10 15:21:49Z mturcu $ -->
+<!-- $Id$ -->
 
 <!-- List contents in 'items' in the specified number of columns
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_display_contents_column.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_display_contents_column.pt	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_display_contents_column.pt	(revision 486)
@@ -1,4 +1,4 @@
 <!-- a content_lib macro -->
-<!-- $Id: content_lib_display_contents_column.pt 34674 2006-03-23 08:57:49Z madarche $ -->
+<!-- $Id$ -->
 
 <!-- Final display of items in a column using the given format -->
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt	(revision 486)
@@ -1,4 +1,4 @@
 <!-- a content_lib macro -->
-<!-- $Id: content_lib_info_detail_tab.pt 32943 2006-02-17 14:46:28Z div $ -->
+<!-- $Id$ -->
 <!-- All doc information -->
 
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt	(revision 486)
@@ -53,5 +53,5 @@
 
 <!-- a content_lib macro -->
-<!-- $Id: content_lib_display_contents.pt 32722 2006-02-10 15:21:49Z mturcu $ -->
+<!-- $Id$ -->
 
 <!-- List contents in 'items' in the specified number of columns
@@ -133,5 +133,5 @@
         <tal:block condition="batch_items">
 <!-- a content_lib macro -->
-<!-- $Id: content_lib_display_contents_column.pt 34674 2006-03-23 08:57:49Z madarche $ -->
+<!-- $Id$ -->
 
 <!-- Final display of items in a column using the given format -->
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_contents_display_buttons.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_contents_display_buttons.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_contents_display_buttons.py	(revision 486)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: folder_delete.py 30246 2005-12-02 20:10:18Z fguillaume $
+# $Id$
 """
 buttons shouldn't be displayed if
Index: WAeUP_SRP/trunk/skins/waeup_academics/approve_checked.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/approve_checked.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_academics/approve_checked.py	(revision 486)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: folder_delete.py 30246 2005-12-02 20:10:18Z fguillaume $
+# $Id$
 """
 FIXME: add docstring.
Index: WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.py	(revision 486)
@@ -1,4 +1,4 @@
 ##parameters=psm=None
-# $Id: temporary_view_all.py 197 2006-02-08 12:47:31Z joachim $
+# $Id$
 
 """
Index: WAeUP_SRP/trunk/skins/waeup_academics/create_certificate.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/create_certificate.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_academics/create_certificate.py	(revision 486)
@@ -1,4 +1,4 @@
 ##parameters=REQUEST=None
-# $Id: create_course.py 145 2005-11-03 08:53:17Z joachim $
+# $Id$
 """
 Create a Course
Index: WAeUP_SRP/trunk/skins/waeup_academics/create_studycourse.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/create_studycourse.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_academics/create_studycourse.py	(revision 486)
@@ -1,4 +1,4 @@
 ##parameters=REQUEST=None
-# $Id: create_course.py 145 2005-11-03 08:53:17Z joachim $
+# $Id$
 """
 Create a Course
Index: WAeUP_SRP/trunk/skins/waeup_academics/department_created.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/department_created.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_academics/department_created.py	(revision 486)
@@ -16,5 +16,5 @@
 May return a rendered document, or do a redirect.
 """
-# $Id: cpsdocument_created.py 8901 2003-10-14 12:14:25Z fguillaume $
+# $Id$
 if object is not None:
     dep = object
Index: WAeUP_SRP/trunk/skins/waeup_academics/getAcademicsDisplayParams.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getAcademicsDisplayParams.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getAcademicsDisplayParams.py	(revision 486)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: getAcademicsDisplayParams.py 32717 2006-02-10 13:35:19Z mturcu $
+# $Id$
 """
 The Academics batch parameters
Index: WAeUP_SRP/trunk/skins/waeup_academics/level_created.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/level_created.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_academics/level_created.py	(revision 486)
@@ -16,5 +16,5 @@
 May return a rendered document, or do a redirect.
 """
-# $Id: cpsdocument_created.py 8901 2003-10-14 12:14:25Z fguillaume $
+# $Id$
 if object is not None:
     dep = object
Index: WAeUP_SRP/trunk/skins/waeup_academics/retract_checked.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/retract_checked.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_academics/retract_checked.py	(revision 486)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: folder_delete.py 30246 2005-12-02 20:10:18Z fguillaume $
+# $Id$
 """
 FIXME: add docstring.
Index: WAeUP_SRP/trunk/skins/waeup_custom/changeDisplayParams.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/changeDisplayParams.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_custom/changeDisplayParams.py	(revision 486)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: changeDisplayParams.py 7215 2005-03-03 13:58:20Z sfermigier $
+# $Id$
 """
 Change the order/style of the item display within a folder.
Index: WAeUP_SRP/trunk/skins/waeup_custom/content_status_modify.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/content_status_modify.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_custom/content_status_modify.py	(revision 486)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: content_status_modify.py 29468 2005-11-11 12:33:08Z avoinea $
+# $Id$
 """
 FIXME: add docstring.
Index: WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_create.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_create.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_create.py	(revision 486)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: cpsdocument_create.py 32984 2006-02-17 19:30:42Z janguenot $
+# $Id$
 """
 Called when a document form is posted.
Index: WAeUP_SRP/trunk/skins/waeup_custom/folder_delete.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/folder_delete.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_custom/folder_delete.py	(revision 486)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: folder_delete.py 30246 2005-12-02 20:10:18Z fguillaume $
+# $Id$
 """
 FIXME: add docstring.
Index: WAeUP_SRP/trunk/skins/waeup_custom/getBatchList.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/getBatchList.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_custom/getBatchList.py	(revision 486)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: getBatchList.py 6281 2004-06-25 13:45:03Z dwyart $
+# $Id$
 """
 Given the desired number of colums, constructs a list of batches to render
Index: WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py	(revision 486)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: getCPSCandidateLocalRoles.py 28546 2005-10-23 01:46:45Z atchertchian $
+# $Id$
 """
 XXX content moved into portal_membership
Index: WAeUP_SRP/trunk/skins/waeup_custom/getContentInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/getContentInfo.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_custom/getContentInfo.py	(revision 486)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: getContentInfo.py 31903 2006-01-21 23:50:55Z fguillaume $
+# $Id$
 """
 Return information about a content item (ie a proxy)
Index: WAeUP_SRP/trunk/skins/waeup_custom/getCustomDisplayParams.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/getCustomDisplayParams.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_custom/getCustomDisplayParams.py	(revision 486)
@@ -8,6 +8,6 @@
 ##title=
 ##
-# $Id: getCustomDisplayParams.py 32717 2006-02-10 13:35:19Z mturcu $
-# $Id: getCustomDisplayParams.py 32717 2006-02-10 13:35:19Z mturcu $
+# $Id$
+# $Id$
 """
 FIXME: docstring?
Index: WAeUP_SRP/trunk/skins/waeup_default/display_content.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/display_content.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_default/display_content.py	(revision 486)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: folder_delete.py 30246 2005-12-02 20:10:18Z fguillaume $
+# $Id$
 """
 content  should be displayed if
Index: WAeUP_SRP/trunk/skins/waeup_default/id_rename.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/id_rename.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_default/id_rename.py	(revision 486)
@@ -1,4 +1,4 @@
 ##parameters=
-# $Id: folder_rename.py 28488 2005-10-21 13:16:23Z lregebro $
+# $Id$
 """
 Rename objects which ids are passed in the request.
Index: WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_edit.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_edit.pt	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_edit.pt	(revision 486)
@@ -1,4 +1,4 @@
 <!-- a layout_lib macro -->
-<!-- $Id: layout_lib_default_edit.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
+<!-- $Id$ -->
 <metal:block define-macro="default_edit"
   tal:define="layout options/layout;
@@ -140,5 +140,5 @@
 </tal:block>
 
-<tal:block condition="python: 1 or last_layout">
+<tal:block condition="python: last_layout">
   <tal:block content="structure string:</div>" />
   <metal:block define-slot="additional_content" />
Index: WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt	(revision 486)
@@ -1,4 +1,4 @@
 <!-- WAeUP layout_lib  -->
-<!-- $Id: layout_lib_div_view.pt 24721 2005-07-08 13:04:38Z dwyart $ -->
+<!-- $Id$ -->
 
 <!-- div_view  -->
Index: WAeUP_SRP/trunk/skins/waeup_default/msie.css
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/msie.css	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_default/msie.css	(revision 486)
@@ -5,5 +5,5 @@
 specific to MSIE.
 
-$Id: msie.css.dtml 28860 2005-10-31 16:34:08Z ogrisel $
+$Id$
 */
 
Index: WAeUP_SRP/trunk/skins/waeup_default/waeup_document_create_do.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/waeup_document_create_do.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_default/waeup_document_create_do.py	(revision 486)
@@ -1,4 +1,4 @@
 ##parameters=type_name, datamodel
-# $Id: cpsdocument_create_do.py 34091 2006-03-06 18:37:08Z atchertchian $
+# $Id$
 """
 Create an empty object in the context according to the datamodel.
Index: WAeUP_SRP/trunk/skins/waeup_student/application_pin_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_pin_form.pt	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_pin_form.pt	(revision 486)
@@ -1,3 +1,3 @@
-<tal:block define="rendered_main options/rendered_main;
+<tal:block define="rendered_main options/rendered;
                    portal_status_message options/psm;
                    data_storage options/ds;
@@ -6,5 +6,5 @@
                    >
 <metal:block define-macro="edit_form">
-<metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block use-macro="here/content_lib_master/macros/master">
   <metal:block fill-slot="header"
     tal:define="creation creation|nothing;
Index: WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py	(revision 486)
@@ -1,4 +1,4 @@
 ##parameters=REQUEST
-# $Id: apply_admission.py 173 2005-11-15 16:28:29Z joachim $
+# $Id$
 """
 process the Application Form
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_create.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_create.pt	(revision 486)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_create.pt	(revision 486)
@@ -0,0 +1,3 @@
+<tal:block define="global creation python:1;
+                   global formaction string:apply_admission" />
+<metal:block use-macro="here/layout_application_edit/macros/default_edit" />
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_edit.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_edit.pt	(revision 486)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_edit.pt	(revision 486)
@@ -0,0 +1,81 @@
+<!-- a layout_lib macro -->
+<!-- $Id$ -->
+<metal:block define-macro="default_edit"
+  tal:define="layout options/layout;
+  ds options/datastructure;
+  dm ds/getDataModel;
+  formaction formaction|string:student_edit;
+  creation creation|nothing;
+  metadata metadata|nothing;
+  type_name request/type_name|nothing;
+  ti python:type_name and getattr(here.portal_types,type_name,None) or getattr(here.portal_types,here.portal_type,None);
+  cpsmcat nocall:here/translation_service;
+  ">
+
+  <form action="" id="editForm" method="post" 
+        enctype="multipart/form-data" class="workflow"
+        tal:attributes="action formaction"
+        >
+  <table width="200" cellpadding="2" cellspacing="2" summary="Form layout"
+         tal:condition="layout/rows">
+    <tr tal:repeat="row layout/rows" valign="top">
+      <td tal:repeat="cell row"
+          tal:attributes="colspan cell/ncols">
+        <tal:block define="widget cell/widget;
+        wid widget/getWidgetId;
+        err python:ds.getError(wid);
+        err_mapping python:ds.getErrorMapping(wid);
+        is_required python: widget.is_required and creation and ('create' not in widget.readonly_layout_modes);
+        tooltip_id python:wid + '_help';
+        widget_css_class cell/widget_css_class|nothing;
+        css_class python:test(err, 'row error','row')"
+        >
+          <div tal:attributes="class widget_css_class;
+          id python:widget.getHtmlWidgetId()+'_widget';"
+          >
+            <div class="label" tal:condition="widget/label_edit"
+                 tal:attributes="class python:test(is_required, 'label required','label')">
+              <label tal:content="widget/label_edit"
+                     tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
+            </div>
+            <button type="button" class="tooltipControl"
+                    tal:condition="widget/help"
+                    tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
+            <div class="field">
+              <div tal:replace="structure cell/widget_rendered"/>
+            </div>
+            <div class="tooltipArea" style="visibility: hidden;"
+                 tal:condition="widget/help"
+                 tal:attributes="id tooltip_id;
+                 onclick python:'showElement(false, \'%s\')' % tooltip_id;"
+                 >
+              <tal:block tal:content="widget/help">This is the help for this field
+              </tal:block>
+            </div>
+            <tal:block condition="err">
+              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
+                <br /><em style="color: red"
+                          tal:content="msg">err</em>
+              </tal:block>
+            </tal:block>
+          </div>
+        </tal:block>
+       </td>
+      </tr>
+    </table>
+
+  <input type="submit" class="standalone" name="cpsdocument_edit_button"
+    value="button_change" i18n:attributes="value" id="cpsdocument_edit_button"
+    tal:condition="not:creation" />
+  <input type="submit" class="standalone" name="cpsdocument_edit_and_view_button"
+    value="button_change_and_view" i18n:attributes="value"
+    id="cpsdocument_edit_and_view_button"
+    tal:condition="python:0 and not creation" />
+  <input type="submit" 
+         class="standalone" 
+         name="cpsdocument_create_button"
+         value="apply" 
+         i18n:attributes="value" tal:condition="creation" />
+
+</form>                             
+</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_student_edit.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_student_edit.pt	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_student_edit.pt	(revision 486)
@@ -1,4 +1,4 @@
 <!-- a layout_lib macro -->
-<!-- $Id: layout_lib_default_edit.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
+<!-- $Id$ -->
 <metal:block define-macro="default_edit"
   tal:define="layout options/layout;
Index: WAeUP_SRP/trunk/skins/waeup_student/scratch_card_batch_create_do.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/scratch_card_batch_create_do.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_student/scratch_card_batch_create_do.py	(revision 486)
@@ -1,4 +1,4 @@
 ##parameters=type_name, datamodel
-# $Id: cpsdocument_create_do.py 34091 2006-03-06 18:37:08Z atchertchian $
+# $Id$
 """
 Create an empty object in the context according to the datamodel.
Index: WAeUP_SRP/trunk/skins/waeup_student/scratch_card_batch_created.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/scratch_card_batch_created.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_student/scratch_card_batch_created.py	(revision 486)
@@ -1,4 +1,4 @@
 ##parameters=
-# $Id: cpsdocument_create_do.py 34091 2006-03-06 18:37:08Z atchertchian $
+# $Id$
 
 return
Index: WAeUP_SRP/trunk/skins/waeup_student/student_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_edit.py	(revision 485)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_edit.py	(revision 486)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: cpsdocument_edit.py 33302 2006-02-22 15:57:11Z tziade $
+# $Id$
 """
 Called when a document form is posted.
@@ -30,5 +30,5 @@
 
 # Check flexible controls
-context.editLayouts(REQUEST=REQUEST)
+#context.editLayouts(REQUEST=REQUEST)
 
 # Validate the document and write it if it's valid