Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 491)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 492)
@@ -24,6 +24,6 @@
   </property>
   <property name="is_required">True</property>
-  <property name="label">Pin</property>
-  <property name="label_edit">Pin</property>
+  <property name="label">Application PIN</property>
+  <property name="label_edit">Application PIN</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 491)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 492)
@@ -28,6 +28,6 @@
   </property>
   <property name="is_required">True</property>
-  <property name="label">Pin</property>
-  <property name="label_edit">Pin</property>
+  <property name="label">Application PIN</property>
+  <property name="label_edit">Application PIN</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -57,6 +57,6 @@
    <element value="jamb_first_cos"/>
   </property>
-  <property name="label">JAMB First Choice Course of Study</property>
-  <property name="label_edit">JAMB First Choice Course of Study</property>
+  <property name="label">First Choice Course of Study</property>
+  <property name="label_edit">First Choice Course of Study</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -72,10 +72,12 @@
    <element value="jamb_firstname"/>
   </property>
-  <property name="label">Name</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
+  <property name="label">JAMB Firstname</property>
+  <property name="label_edit">JAMB Firstname</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+   <element value="edit"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -86,4 +88,6 @@
    <element value="jamb_lastname"/>
   </property>
+  <property name="label">Name</property>
+  <property name="label_edit">Name</property>    
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -95,13 +99,16 @@
  </widget>
  <widget name="jamb_middlename" meta_type="String Widget">
-  <property name="title">JAMB Middle Name</property>
+  <property name="title">JAMB Middlename</property>
   <property name="fields">
    <element value="jamb_middlename"/>
   </property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
+  <property name="label">JAMB Middlename</property>
+  <property name="label_edit">JAMB Middlename</property>  
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+   <element value="edit"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -127,6 +134,6 @@
    <element value="jamb_second_cos"/>
   </property>
-  <property name="label">JAMB Second Choice Course of Study</property>
-  <property name="label_edit">JAMB Second Choice Course of Study</property>
+  <property name="label">Second Choice Course of Study</property>
+  <property name="label_edit">Second Choice Course of Study</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -142,6 +149,6 @@
    <element value="jamb_sex"/>
   </property>
-  <property name="label">JAMB Sex</property>
-  <property name="label_edit">JAMB Sex</property>
+  <property name="label">Sex</property>
+  <property name="label_edit">Sex</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -161,5 +168,5 @@
   <property name="label_edit">Passport Picture</property>
   <property
-     name="help">Upload passport photograph with red background</property>
+     name="help">Upload passport photograph with red background.</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -184,10 +191,4 @@
   </row>
   <row>
-   <cell name="jamb_firstname" ncols="3"/>
-  </row>
-  <row>
-   <cell name="jamb_middlename" ncols="3"/>
-  </row>
-  <row>
    <cell name="jamb_lastname" ncols="3"/>
   </row>
Index: WAeUP_SRP/trunk/skins/waeup_student/application_pin_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_pin_form.pt	(revision 491)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_pin_form.pt	(revision 492)
@@ -14,5 +14,6 @@
     </metal:block>
       <metal:block fill-slot="main">
-        <h1>Apply for the Post University Matriculation Examination! </h1>
+        <h3>Apply for the Post University Matriculation Examination! </h3>
+        <br />
         <div tal:replace="structure rendered_main" />
           <p>Instructions :</p>
@@ -21,4 +22,5 @@
             <li>Enter your JAMB registration number and the Application PIN above.</li> 
             <li>Upload your passport picture.</li> 
+            <li>Apply for admission.</li>
             <li>Print the Application Acknowledgement Slip.</li>
           </ul>
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_edit.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_edit.pt	(revision 491)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_edit.pt	(revision 492)
@@ -1,4 +1,5 @@
 <!-- a layout_lib macro -->
 <!-- $Id$ -->
+
 <metal:block define-macro="default_edit"
   tal:define="layout options/layout;
@@ -13,36 +14,44 @@
   ">
 
+  
+  <h3>Apply for the Post University Matriculation Examination! </h3>
+        <br />
+  
   <form action="" id="editForm" method="post" 
         enctype="multipart/form-data" class="workflow"
         tal:attributes="action formaction"
+        
         >
-  <table width="200" cellpadding="2" cellspacing="2" summary="Form layout"
+  <table width="100%" cellpadding="2" cellspacing="0" summary="Form layout"
          tal:condition="layout/rows">
-    <tr tal:repeat="row layout/rows" valign="top">
-      <td tal:repeat="cell row"
+    <tr tal:repeat="row layout/rows" valign="top" >
+      <span tal:repeat="cell row"
           tal:attributes="colspan cell/ncols">
         <tal:block define="widget cell/widget;
-        wid widget/getWidgetId;
-        err python:ds.getError(wid);
-        err_mapping python:ds.getErrorMapping(wid);
-        is_required python: widget.is_required and creation and ('create' not in widget.readonly_layout_modes);
-        tooltip_id python:wid + '_help';
-        widget_css_class cell/widget_css_class|nothing;
-        css_class python:test(err, 'row error','row')"
-        >
+              wid widget/getWidgetId;
+              err python:ds.getError(wid);
+              err_mapping python:ds.getErrorMapping(wid);
+              is_required python: widget.is_required and creation and ('create' not in widget.readonly_layout_modes);
+              tooltip_id python:wid + '_help';
+              widget_css_class cell/widget_css_class|nothing;
+              css_class python:test(err, 'row error','row')"
+              >
           <div tal:attributes="class widget_css_class;
           id python:widget.getHtmlWidgetId()+'_widget';"
           >
+            <td>
             <div class="label" tal:condition="widget/label_edit"
                  tal:attributes="class python:test(is_required, 'label required','label')">
               <label tal:content="widget/label_edit"
-                     tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
+                     tal:attributes="for cell/widget_input_area_id|nothing;">label</label>:
             </div>
             <button type="button" class="tooltipControl"
                     tal:condition="widget/help"
                     tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-            <div class="field">
+            </td>
+            <td>
+            <span class="field">
               <div tal:replace="structure cell/widget_rendered"/>
-            </div>
+            </span>
             <div class="tooltipArea" style="visibility: hidden;"
                  tal:condition="widget/help"
@@ -59,10 +68,11 @@
               </tal:block>
             </tal:block>
+            </td>
           </div>
         </tal:block>
-       </td>
+       </span>
       </tr>
     </table>
-
+  <br />
   <input type="submit" class="standalone" name="cpsdocument_edit_button"
     value="button_change" i18n:attributes="value" id="cpsdocument_edit_button"
@@ -78,4 +88,8 @@
          i18n:attributes="value" tal:condition="creation" />
 
-</form>                             
+</form>
+
+                         
 </metal:block>
+
+