Index: /WAeUP_SRP/trunk/skins/waeup_student/application_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application_form.pt	(revision 492)
+++ /WAeUP_SRP/trunk/skins/waeup_student/application_form.pt	(revision 493)
@@ -11,4 +11,7 @@
 
   <metal:block fill-slot="main">
+  <tal:block tal:condition="python:context.portal_type == 'StudentApplication'" tal:omit-tag="">
+    <h3>Apply for the Post University Matriculation Examination! </h3>
+        <br />
       <tal:block 
           tal:define="rendered_main python:context.getContent().renderEdit(
@@ -18,4 +21,8 @@
       <tal:block tal:content="structure rendered_main" />
       </tal:block>  
+  </tal:block>  
+  <tal:block condition="python:context.portal_type != 'StudentApplication'">
+      Please do not manipulate the URL! This is not an application object.
+  </tal:block>    
   </metal:block>
   <metal:block fill-slot="sub">
Index: /WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 493)
+++ /WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 493)
@@ -0,0 +1,46 @@
+<html metal:use-macro="here/content_lib_master/macros/master">
+  <metal:block fill-slot="head_slot">
+  </metal:block>
+
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+      tal:attributes="href string:${base_url}document.css" />
+  </metal:block>
+  <metal:block fill-slot="header">
+  </metal:block>
+
+  <metal:block fill-slot="main">
+
+    <tal:block tal:condition="python:context.portal_type == 'StudentApplication'" tal:omit-tag="">
+    <h3>Post UME Acknowledegement Slip</h3>
+        <br />
+        
+      <tal:block tal:define="application_data python:context.getContent();">
+      
+      <span tal:content="here/passport" />
+      
+      <table width="" cellpadding="2" cellspacing="0" summary="Form layout">
+
+      <tr><td>Access Code: </td><td><span tal:content="application_data/app_ac_pin" /></td></tr>
+      <tr><td>Application Date: </td><td><span tal:content="python:application_data.app_ac_date" /></td></tr>
+      <tr><td>JAMB Registration Number: </td><td><span tal:content="application_data/jamb_reg_no" /></td></tr>
+      <tr><td>Student's Name: </td><td><span tal:content="application_data/jamb_firstname" /> <span tal:content="application_data/jamb_middlename" /> <span tal:content="application_data/jamb_lastname" /></td></tr>
+      <tr><td>Sex: </td><td><span tal:content="application_data/jamb_sex" /></td></tr>
+      <tr><td>Mode of Entry: </td><td><span tal:content="application_data/entry_mode" /></td></tr>
+      <tr><td>Course of Study: </td><td><span tal:content="application_data/jamb_first_cos" />, <span tal:content="application_data/jamb_second_cos" /></td></tr>
+      <tr><td>State of Origin: </td><td><span tal:content="application_data/jamb_state" /> / <span tal:content="application_data/jamb_lga" /></td></tr>
+      <tr><td>Post UME Examination Date: </td><td></td></tr>
+      
+      </table>
+
+      </tal:block>
+    </tal:block>
+    <tal:block condition="python:context.portal_type != 'StudentApplication'">
+      Please do not manipulate the URL! This is not an application object.
+    </tal:block>  
+  
+  </metal:block>
+
+  <metal:block fill-slot="sub">
+  </metal:block>
+</html>
Index: /WAeUP_SRP/trunk/skins/waeup_student/layout_application_edit.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/layout_application_edit.pt	(revision 492)
+++ /WAeUP_SRP/trunk/skins/waeup_student/layout_application_edit.pt	(revision 493)
@@ -14,8 +14,4 @@
   ">
 
-  
-  <h3>Apply for the Post University Matriculation Examination! </h3>
-        <br />
-  
   <form action="" id="editForm" method="post" 
         enctype="multipart/form-data" class="workflow"
@@ -23,5 +19,5 @@
         
         >
-  <table width="100%" cellpadding="2" cellspacing="0" summary="Form layout"
+  <table width="" cellpadding="2" cellspacing="0" summary="Form layout"
          tal:condition="layout/rows">
     <tr tal:repeat="row layout/rows" valign="top" >