Index: WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt	(revision 499)
+++ WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt	(revision 499)
@@ -0,0 +1,16 @@
+<tal:block define="item nocall:options/context_obj;
+                   info item/getContentInfo;
+                   base_url python: request.get('cpsskins_base_url');">
+
+<span tal:condition="python:path('info/review_state')=='checked'">
+  <img tal:attributes="src string:${here/portal_url}/cpsskins_images/actionicon_publish.png"/>
+  <span tal:content="info/review_state" />
+</ span>
+
+<span tal:condition="python:path('info/review_state')=='unchecked'">
+  <img tal:attributes="src string:${here/portal_url}/cpsskins_images/actionicon_reject.png"/>
+  <span tal:content="info/review_state" />
+</ span>
+
+</tal:block>
+
Index: WAeUP_SRP/trunk/skins/waeup_default/widget_waeup_status_display.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/widget_waeup_status_display.pt	(revision 494)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<tal:block define="item nocall:options/context_obj;
-                   info item/getContentInfo;
-                   base_url python: request.get('cpsskins_base_url');">
-
-<span tal:condition="python:path('info/review_state')=='checked'">
-  <img tal:attributes="src string:${here/portal_url}/cpsskins_images/actionicon_publish.png"/>
-  <span tal:content="info/review_state" />
-</ span>
-
-<span tal:condition="python:path('info/review_state')=='unchecked'">
-  <img tal:attributes="src string:${here/portal_url}/cpsskins_images/actionicon_reject.png"/>
-  <span tal:content="info/review_state" />
-</ span>
-
-</tal:block>
-
Index: WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 494)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 499)
@@ -19,10 +19,13 @@
       <tal:block tal:define="application_data python:context.getContent();">
       
-      <span tal:content="structure here/passport" />
+      
+      <table cellpadding="10em" cellspacing="">
+      <tr>
+      <td valign="top"><span tal:content="structure here/passport" /></td>
+      <td>
       
       <table width="" cellpadding="2" cellspacing="0" summary="Form layout">
-
       <tr><td>Access Code: </td><td><span tal:content="application_data/app_ac_pin" /></td></tr>
-      <tr><td>Application Date: </td><td><span tal:content="python:application_data.app_ac_date" /></td></tr>
+      <tr><td>Application Date: </td><td><span tal:content="python:application_data.app_ac_date.aCommonZ()" /></td></tr>
       <tr><td>JAMB Registration Number: </td><td><span tal:content="application_data/jamb_reg_no" /></td></tr>
       <tr><td>Student's Name: </td><td><span tal:content="application_data/jamb_firstname" /> <span tal:content="application_data/jamb_middlename" /> <span tal:content="application_data/jamb_lastname" /></td></tr>
@@ -32,7 +35,10 @@
       <tr><td>State of Origin: </td><td><span tal:content="application_data/jamb_state" /> / <span tal:content="application_data/jamb_lga" /></td></tr>
       <tr><td>Post UME Examination Date: </td><td></td></tr>
-      
       </table>
 
+      </td>
+      </tr>
+      </table>
+      
       </tal:block>
     </tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/portlet_student_status_display.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/portlet_student_status_display.pt	(revision 499)
+++ WAeUP_SRP/trunk/skins/waeup_student/portlet_student_status_display.pt	(revision 499)
@@ -0,0 +1,9 @@
+<tal:block define="item nocall:options/context_obj;
+                   info item/getContentInfo;
+                   base_url python: request.get('cpsskins_base_url');">
+
+<img tal:attributes="src string:${here/portal_url}/cpsskins_images/actionicon_publish.png"/>
+<span tal:content="info/review_state" />
+
+</tal:block>
+
Index: WAeUP_SRP/trunk/skins/waeup_student/portlet_student_transition_display.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/portlet_student_transition_display.pt	(revision 499)
+++ WAeUP_SRP/trunk/skins/waeup_student/portlet_student_transition_display.pt	(revision 499)
@@ -0,0 +1,11 @@
+<tal:block define="item nocall:options/context_obj;
+                   info item/getContentInfo;
+                   base_url python: request.get('cpsskins_base_url');">
+
+<span tal:condition="python:path('info/review_state')=='application_pin_entered'">
+  <img tal:attributes="src string:${here/portal_url}/cpsskins_images/actionicon_publish.png"/>
+  <span>Apply for Admission</span>
+</ span>
+
+</tal:block>
+