Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default.xml	(revision 499)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default.xml	(revision 501)
@@ -12,5 +12,4 @@
  <property name="margin">0px</property>
  <object name="269646640" meta_type="Page Block"/>
- <object name="1385726203" meta_type="Page Block"/>
  <object name="133318311" meta_type="Page Block"/>
  <object name="main" meta_type="Page Block"/>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/133318311/1237635944.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/133318311/1237635944.xml	(revision 499)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/133318311/1237635944.xml	(revision 501)
@@ -9,5 +9,5 @@
  <property name="align">left</property>
  <property name="padding">0.2em</property>
- <property name="margin">0.2em 0.2em 0em 0.2em</property>
+ <property name="margin">0.2em 0.2em 0em 0em</property>
  <property name="templet_height"></property>
  <property name="fontcolor">defaultnovisitedlinks</property>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385.xml	(revision 499)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385.xml	(revision 501)
@@ -5,9 +5,16 @@
  <property name="width">100%</property>
  <property name="height"></property>
- <property name="maxcols">3</property>
+ <property name="maxcols">4</property>
  <property name="shape">NoBorder</property>
  <property name="color">Transparent</property>
+ <object name="copy_of_2129856066" meta_type="Portal Box Group Templet"/>
+ <object name="1985807157" meta_type="Portal Box Group Templet"/>
  <object name="561058990" meta_type="Cell Sizer"/>
  <object name="1192351367" meta_type="Cell Sizer"/>
  <object name="228004626" meta_type="Cell Sizer"/>
+ <object name="338683221" meta_type="Cell Styler"/>
+ <object name="732817312" meta_type="Cell Styler"/>
+ <object name="1323268586" meta_type="Cell Sizer"/>
+ <object name="2097436276" meta_type="Cell Styler"/>
+ <object name="457182770" meta_type="Cell Styler"/>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/1323268586.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/1323268586.xml	(revision 501)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/1323268586.xml	(revision 501)
@@ -0,0 +1,5 @@
+<?xml version="1.0"?>
+<object name="1323268586" meta_type="Cell Sizer">
+ <property name="xpos">1</property>
+ <property name="cellwidth">150px</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/1985807157.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/1985807157.xml	(revision 501)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/1985807157.xml	(revision 501)
@@ -0,0 +1,30 @@
+<?xml version="1.0"?>
+<object name="1985807157" meta_type="Portal Box Group Templet">
+ <property name="title">main_slot_student</property>
+ <property name="cacheable">False</property>
+ <property name="cache_lifetime">60</property>
+ <property name="hidden_in_text_mode">False</property>
+ <property name="display_title_in_text_mode">False</property>
+ <property name="xpos">2</property>
+ <property name="align">left</property>
+ <property name="padding">0.2em</property>
+ <property name="margin">0.2em 0.2em 0.2em 0.2em</property>
+ <property name="templet_height"></property>
+ <property name="fontcolor">defaultfontcolors</property>
+ <property name="fontshape">average</property>
+ <property name="shape"></property>
+ <property name="color"></property>
+ <property name="formstyle"></property>
+ <property name="visibility">always</property>
+ <property name="visibility_paths"/>
+ <property name="languages"/>
+ <property name="esi_fragment">False</property>
+ <property name="boxshape"></property>
+ <property name="boxcolor"></property>
+ <property name="boxcorners"></property>
+ <property name="portaltabstyle"></property>
+ <property name="boxlayout">plain</property>
+ <property name="box_group">main_slot_student</property>
+ <property name="macroless">False</property>
+ <property name="box_title_i18n">False</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/2097436276.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/2097436276.xml	(revision 501)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/2097436276.xml	(revision 501)
@@ -0,0 +1,6 @@
+<?xml version="1.0"?>
+<object name="2097436276" meta_type="Cell Styler">
+ <property name="xpos">1</property>
+ <property name="shape">NoBorder</property>
+ <property name="color">Transparent</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/228004626.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/228004626.xml	(revision 499)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/228004626.xml	(revision 501)
@@ -1,5 +1,5 @@
 <?xml version="1.0"?>
 <object name="228004626" meta_type="Cell Sizer">
- <property name="xpos">2</property>
+ <property name="xpos">3</property>
  <property name="cellwidth">5%</property>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/338683221.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/338683221.xml	(revision 501)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/338683221.xml	(revision 501)
@@ -0,0 +1,6 @@
+<?xml version="1.0"?>
+<object name="338683221" meta_type="Cell Styler">
+ <property name="xpos">2</property>
+ <property name="shape">NoBorder</property>
+ <property name="color">Transparent</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/457182770.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/457182770.xml	(revision 501)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/457182770.xml	(revision 501)
@@ -0,0 +1,6 @@
+<?xml version="1.0"?>
+<object name="457182770" meta_type="Cell Styler">
+ <property name="xpos">1</property>
+ <property name="shape"></property>
+ <property name="color">WAeUPColor</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/561058990.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/561058990.xml	(revision 499)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/561058990.xml	(revision 501)
@@ -1,5 +1,5 @@
 <?xml version="1.0"?>
 <object name="561058990" meta_type="Cell Sizer">
- <property name="xpos">1</property>
- <property name="cellwidth">90%</property>
+ <property name="xpos">2</property>
+ <property name="cellwidth">?</property>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/732817312.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/732817312.xml	(revision 501)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/732817312.xml	(revision 501)
@@ -0,0 +1,6 @@
+<?xml version="1.0"?>
+<object name="732817312" meta_type="Cell Styler">
+ <property name="xpos">2</property>
+ <property name="shape">AreaShape5</property>
+ <property name="color">AreaColor</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/copy_of_2129856066.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/copy_of_2129856066.xml	(revision 501)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/copy_of_2129856066.xml	(revision 501)
@@ -0,0 +1,30 @@
+<?xml version="1.0"?>
+<object name="copy_of_2129856066" meta_type="Portal Box Group Templet">
+ <property name="title">student_workflow</property>
+ <property name="cacheable">False</property>
+ <property name="cache_lifetime">60</property>
+ <property name="hidden_in_text_mode">False</property>
+ <property name="display_title_in_text_mode">False</property>
+ <property name="xpos">1</property>
+ <property name="align">left</property>
+ <property name="padding">0.2em</property>
+ <property name="margin">0.2em 0.2em 0.2em 0.2em</property>
+ <property name="templet_height"></property>
+ <property name="fontcolor">defaultfontcolors</property>
+ <property name="fontshape">average</property>
+ <property name="shape"></property>
+ <property name="color"></property>
+ <property name="formstyle"></property>
+ <property name="visibility">always</property>
+ <property name="visibility_paths"/>
+ <property name="languages"/>
+ <property name="esi_fragment">False</property>
+ <property name="boxshape">navbox</property>
+ <property name="boxcolor"></property>
+ <property name="boxcorners"></property>
+ <property name="portaltabstyle"></property>
+ <property name="boxlayout">standard</property>
+ <property name="box_group">student_workflow</property>
+ <property name="macroless">False</property>
+ <property name="box_title_i18n">False</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main.xml	(revision 499)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main.xml	(revision 501)
@@ -9,5 +9,4 @@
  <property name="color"></property>
  <object name="copy2_of_325427499" meta_type="Cell Block"/>
- <object name="1985807157" meta_type="Portal Box Group Templet"/>
  <object name="cell_sizer5" meta_type="Cell Sizer"/>
  <object name="cell_sizer3" meta_type="Cell Sizer"/>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main/cell_styler3.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main/cell_styler3.xml	(revision 499)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main/cell_styler3.xml	(revision 501)
@@ -2,5 +2,5 @@
 <object name="cell_styler3" meta_type="Cell Styler">
  <property name="xpos">1</property>
- <property name="shape">AreaShape</property>
- <property name="color">AreaColor</property>
+ <property name="shape"></property>
+ <property name="color"></property>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main/copy2_of_325427499/110806487.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main/copy2_of_325427499/110806487.xml	(revision 499)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main/copy2_of_325427499/110806487.xml	(revision 501)
@@ -2,4 +2,4 @@
 <object name="110806487" meta_type="Cell Sizer">
  <property name="xpos">2</property>
- <property name="cellwidth">15%</property>
+ <property name="cellwidth">0px</property>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main/copy2_of_325427499/1457280537.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main/copy2_of_325427499/1457280537.xml	(revision 499)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main/copy2_of_325427499/1457280537.xml	(revision 501)
@@ -2,4 +2,4 @@
 <object name="1457280537" meta_type="Cell Sizer">
  <property name="xpos">0</property>
- <property name="cellwidth">8em</property>
+ <property name="cellwidth">150px</property>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main/copy2_of_325427499/copy2_of_1706504860.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main/copy2_of_325427499/copy2_of_1706504860.xml	(revision 499)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main/copy2_of_325427499/copy2_of_1706504860.xml	(revision 501)
@@ -8,11 +8,11 @@
  <property name="xpos">0</property>
  <property name="align">left</property>
- <property name="padding">0.2em</property>
- <property name="margin">0.2em 0.2em 0em 0.5em</property>
+ <property name="padding">0.4em 0.6em 0.6em 0.3em</property>
+ <property name="margin">0</property>
  <property name="templet_height"></property>
  <property name="fontcolor">defaultnovisitedlinks</property>
  <property name="fontshape">average</property>
- <property name="shape"></property>
- <property name="color"></property>
+ <property name="shape">AreaShape9</property>
+ <property name="color">AreaColor</property>
  <property name="formstyle"></property>
  <property name="visibility">always</property>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/styles/copy_of_1781765702.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/styles/copy_of_1781765702.xml	(revision 499)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/styles/copy_of_1781765702.xml	(revision 501)
@@ -4,5 +4,5 @@
  <property name="default">False</property>
  <property name="Area_border_style">solid</property>
- <property name="Area_border_width">1px</property>
+ <property name="Area_border_width">1px 0px 0px 1px</property>
  <property name="Area_text_transform">none</property>
 </object>